# SetReportFilePath

### void SetReportFilePath(string strPath)

EZGemPlus에 사용되는 EZGEM.RPT파일의 위치를 설정함.

EZGEM.RPT 파일은 Host의 Define Report(S2F33W), Link Event Report(S2F35W), Enable/Disable Event(S2F37W), Enable/Disable Alarm(S5F3W) 설정을 EZGemPlus가 종료되거나 Stop이 호출될 때 저장합니다.

EZGemPlus가 Start 할 때 해당 파일의 내용을 읽어 Host가 설정한 내용을 바로 적용해 줍니다.

{% hint style="info" %}
EZGEM.RPT 파일의 위치는 GEM로그에서도 확인이 가능합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="179" valign="top"></th><th width="106" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">strPath</td><td valign="top">string</td><td valign="top">경로와 확장자를 포함한 Report 파일명.</td></tr></tbody></table>

```csharp
m_gem.SetReportFilePath("D:\\1_SAMPLES\\SampleGem\\bin\\x64\\Debug\\EZGEM.RPT");
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-1/setreportfilepath.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
